Subject: [bug#31850] [PATCH] gnu: texlive-bin: Use absolute path to ghostscript executable "gs".

From: [email-masked] (Ludovic Courtès)
Date: Sat, 16 Jun 2018 18:13:36 +0200

Hello,

Arun Isaac <[email-masked]> skribis:

> * gnu/packages/tex.scm (texlive-bin)[arguments]: Rename fix-unix-detection
> phase to configure-ghostscript-executable. Replace "gs" in epstopdf.pl with
> the absolute path to "gs" in the store.

LGTM.

> I seem to have made one of the lines way too long. I'll fix that before
> pushing, once someone has reviewed this patch. Also, should this patch
> go to core-updates considering that the texlive package is very tedious
> to build?

‘texlive-bin’ has just 252 dependent it seems, many of which are
‘texlive-’ packages, which are usually quickly built.  So I’d say it’s
OK for master, but I could be missing some other way in which
‘texlive-bin’ is depended on.  Ricardo, WDYT?

Ludo’.